Subject: Re: bug#75056: 31.0.50; tty-child-frames with server / multiple clients possible hangs

From: Gerd Möllmann <[email-masked]>
Date: Sat, 25 Jan 2025 21:08:48 +0100

Len Trigg <[email-masked]> writes:

> Thanks, so far I haven't been able to produce that segfault, so
> hopefully fixed.

Good to know, thanks for testing!

> I noticed that the documentation for frame-visible-p says:
>
> "If FRAME is a text terminal frame, this always returns t.
> Such frames are always considered visible, whether or not they are
> currently being displayed on the terminal."
>
> I could see that prior to tty child frames that was necessarily true,
> but now we have tty child frames shouldn't that documentation be
> updated? (I'm assuming at the code level it's no longer true since
> posframe hides it's frames by simply making them invisible).

Yes, that's right, The visibility thing on ttys is now more like on
GUIs. We have to change the documentation.